Error
A valid request URL is required to generate request examples{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}Start a Spark job using the provided configuration. A unique ID will be automatically assigned and returned to the caller. Returns current status of that job
deprecated
POST
/
spark
/
jobs
Error
A valid request URL is required to generate request examples{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}Query Parameters
When true, run the job synchronously; the request will not return until the job is complete
Body
application/json
Spark job configuration. A unique ID will be assigned to this configuration
The body is of type object.
Response
200 - application/json
successful operation
Available options:
unknown, idle, starting, running, finishing, cancelling, finished, cancelled, error, skipped Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I